#import <streams/streams.h>

/*
 * Copyright 1992, Ronin Consulting Inc.
 * $Id: NXGets.h,v 1.2 94/04/10 13:13:01 nwc Exp $
 *
 * NXGets operates on NXStreams and functions similar to gets and fgets. 
 * Like gets it reads a string up to a newline which is replaced by
 * a null character. However, like fgets a maxlength is given which
 * will garentee that no more than n - 1 characters are read.
 * 
 * The first argument is returned, or on EOF a constant pointer
 * NULL is returned. Note, on EOF the first argument may still
 * contain valid data if the file did not end with a newline.
 */
 
char *NXGets(char *buf, int n, NXStream *s);
